# Class MsaRowTitleCheckboxComponent

#### Hierarchy

- Component<MsaRowTitleCheckboxType, MsaRowTitleCheckboxState>
  - MsaRowTitleCheckboxComponent

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:26

#####
Index

### Constructors

constructor

### Properties

state
subscription

### Methods

click
compId
componentDidMount
componentDidUpdate
componentInfo
componentWillUnmount
getRcsbId
nonPolymerTest
opacity
polymerTest
render
requestInfo
structureViewerRepresentationChange
style
subscribe
title

## Constructors

### constructor

- new MsaRowTitleCheckboxComponent(props): MsaRowTitleCheckboxComponent

- #### Parameters

  - ##### props: MsaRowTitleCheckboxType

  #### Returns MsaRowTitleCheckboxComponent

  Overrides React.Component <MsaRowTitleCheckboxType,MsaRowTitleCheckboxState>.constructor

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:35

## Properties

### `Readonly` state

state: MsaRowTitleCheckboxState = ...

Overrides React.Component.state

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:28

### `Private` subscription

subscription: Subscription

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:33

## Methods

### `Private` click

- click(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:92

### `Private` compId

- compId(): string

- #### Returns string

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:147

### componentDidMount

- componentDidMount(): Promise<void>

- #### Returns Promise<void>

  Overrides React.Component.componentDidMount

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:48

### componentDidUpdate

- componentDidUpdate(prevProps, prevState, snapshot?): Promise<void>

- #### Parameters

  - ##### prevProps: Readonly<MsaRowTitleCheckboxType>

  - ##### prevState: Readonly<MsaRowTitleCheckboxState>

  - ##### `Optional` snapshot: any

  #### Returns Promise<void>

  Overrides React.Component.componentDidUpdate

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:58

### `Private` componentInfo

- componentInfo(data): Promise<void>

- #### Parameters

  - ##### data: {
    isComponent: boolean;
    isVisible: boolean;
    pdb: {
    entityId: string;
    entryId: string;
    } | {
    entryId: string;
    instanceId: string;
    };
    tag: "non-polymer" | "polymer" | "aligned";
    }

    - ##### isComponent: boolean

    - ##### isVisible: boolean

    - ##### pdb: {
      entityId: string;
      entryId: string;
      } | {
      entryId: string;
      instanceId: string;
      }

    - ##### tag: "non-polymer" | "polymer" | "aligned"

  #### Returns Promise<void>

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:161

### componentWillUnmount

- componentWillUnmount(): void

- #### Returns void

  Overrides React.Component.componentWillUnmount

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:54

### `Private` getRcsbId

- getRcsbId(pdb): string

- #### Parameters

  - ##### pdb: {
    entityId: string;
    entryId: string;
    } | {
    entryId: string;
    instanceId: string;
    }

  #### Returns string

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:154

### `Private` nonPolymerTest

- nonPolymerTest(): Promise<boolean>

- #### Returns Promise<boolean>

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:215

### `Private` opacity

- opacity(): Promise<0 | 1>

- #### Returns Promise<0 | 1>

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:192

### `Private` polymerTest

- polymerTest(): Promise<boolean>

- #### Returns Promise<boolean>

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:203

### render

- render(): Element

- #### Returns Element

  Overrides React.Component.render

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:39

### `Private` requestInfo

- requestInfo(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:175

### `Private` structureViewerRepresentationChange

- structureViewerRepresentationChange(d): void

- #### Parameters

  - ##### d: {
    isHidden: boolean;
    label: string;
    }

    - ##### isHidden: boolean

    - ##### label: string

  #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:75

### `Private` style

- style(): CSSProperties

- #### Returns CSSProperties

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:114

### `Private` subscribe

- subscribe(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:63

### `Private` title

- title(): undefined | string

- #### Returns undefined | string

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/MsaPfvComponents/MsaRowTitleCheckboxComponent.tsx:134

Generated using TypeDoc